Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.render.emf
Class ModelRenderHelper

    java.lang.Object
      com.hammurapi.render.RenderHelper
          com.hammurapi.render.emf.ModelRenderHelper

All Implemented Interfaces:
  RenderingConstants

    public class ModelRenderHelper

extends RenderHelper

Helper class for rendering EMF model documentation.

Author:
  Pavel Vlasov

Field Summary

Fields inherited from interface com.hammurapi.render.RenderingConstants
`CONTENTS, CONTENTS_HTTP, GIF, IMAGES, OUTLINE, OUTLINE_HTTP, RENDER_HELPER, RENDER_START, TO_RENDER`

Constructor Summary
`ModelRenderHelper(IdentityManager<?> identityManager, java.io.File outputDir, java.util.Map<org.eclipse.emf.ecore.EObject,java.util.List<org.eclipse.gmf.runtime.notation.Diagram>> diagramMap, Model model, java.util.Map<java.lang.String,java.lang.Object> env, Context context, java.util.Locale locale, boolean http)` Constructor

Method Summary
`java.lang.String` | `bounds(org.eclipse.emf.ecore.ETypedElement ete)`
`java.util.List<org.eclipse.emf.ecore.EClass>` | `classes(org.eclipse.emf.ecore.EPackage pkg)`
`java.util.List<org.eclipse.emf.ecore.EDataType>` | `dataTypes(org.eclipse.emf.ecore.EPackage pkg)`
`java.lang.String` | `firstSentence(org.eclipse.emf.ecore.EModelElement modelElement)`
`java.util.List<org.eclipse.emf.ecore.EClass>` | `getAllSubTypes(org.eclipse.emf.ecore.EClass cls)`
`java.util.Collection<org.eclipse.emf.ecore.EObject>` | `getDiagramElements(org.eclipse.gmf.runtime.notation.Diagram diagram)`
`java.util.List<org.eclipse.gmf.runtime.notation.Diagram>` | `getDiagrams(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` | `getDoc(org.eclipse.emf.ecore.EModelElement modelElement)`
`java.util.List<org.eclipse.emf.ecore.EClass>` | `getSubTypes(org.eclipse.emf.ecore.EClass cls)`
`boolean` | `hasChildren(org.eclipse.emf.ecore.EObject obj)`
`boolean` | `isAbstract(org.eclipse.emf.ecore.EModelElement modelElement)`
`
`<T extends org.eclipse.emf.ecore.ENamedElement> java.util.List<T>`
` | `sort(java.util.List<T> list)` Sorts model elements list by model element name.

Methods inherited from class com.hammurapi.render.RenderHelper
`convert, createObject, escapeHtml, getAttribute, getAttribute, getId, getIdentityManager, getImageName, getOutputDir, isBlank, null2blank, removeAttribute, render, renderAndLink, renderDetailsAndContents, renderOutline, renderOutline, replaceAttribute, setAttribute, setAttributeIfAbsent, wikiLink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelRenderHelper

    public ModelRenderHelper(IdentityManager<?> identityManager,
                             java.io.File outputDir,
                             java.util.Map<org.eclipse.emf.ecore.EObject,java.util.List<org.eclipse.gmf.runtime.notation.Diagram>> diagramMap,
                             Model model,
                             java.util.Map<java.lang.String,java.lang.Object> env,
                             Context context,
                             java.util.Locale locale,
                             boolean http)

  Constructor

  Parameters:
    `identityManager` - IdentityManager.
    `outputDir` - Output directory.
    `diagramMap` - Maps diagram to a list of diagram elements.
    `model` - Model.
    `env` - Environment.
    `context` - Context.
    `locale` - Locale.

Method Detail

### hasChildren

    public boolean hasChildren(org.eclipse.emf.ecore.EObject obj)

  Parameters:
    `obj` -
  Returns:
    true if given model element contains sub-elements.

### getDiagrams

    public java.util.List<org.eclipse.gmf.runtime.notation.Diagram> getDiagrams(org.eclipse.emf.ecore.EObject obj)

  Parameters:
    `obj` -
  Returns:
    List of diagrams in the model.

### getDoc

    public java.lang.String getDoc(org.eclipse.emf.ecore.EModelElement modelElement)

  Parameters:
    `modelElement` -
  Returns:
    Element documentation.

### firstSentence

    public java.lang.String firstSentence(org.eclipse.emf.ecore.EModelElement modelElement)

  Parameters:
    `modelElement` -
  Returns:
    First sentence from element documentation.

### classes

    public java.util.List<org.eclipse.emf.ecore.EClass> classes(org.eclipse.emf.ecore.EPackage pkg)

  Parameters:
    `pkg` -
  Returns:
    List of classes in the package.

### dataTypes

    public java.util.List<org.eclipse.emf.ecore.EDataType> dataTypes(org.eclipse.emf.ecore.EPackage pkg)

  Parameters:
    `pkg` -
  Returns:
    List of data types in the package.

### isAbstract

    public boolean isAbstract(org.eclipse.emf.ecore.EModelElement modelElement)

  Parameters:
    `modelElement` -
  Returns:
    true if model element is abstract.

### sort

    public <T extends org.eclipse.emf.ecore.ENamedElement> java.util.List<T> sort(java.util.List<T> list)

  Sorts model elements list by model element name.

  Type Parameters:
    `T` -
  Parameters:
    `list` -
  Returns:

### bounds

    public java.lang.String bounds(org.eclipse.emf.ecore.ETypedElement ete)

  Parameters:
    `ete` -
  Returns:
    bounds string.

### getSubTypes

    public java.util.List<org.eclipse.emf.ecore.EClass> getSubTypes(org.eclipse.emf.ecore.EClass cls)

  Parameters:
    `cls` -
  Returns:
    List of direct subtypes of given type.

### getAllSubTypes

    public java.util.List<org.eclipse.emf.ecore.EClass> getAllSubTypes(org.eclipse.emf.ecore.EClass cls)

  Parameters:
    `cls` -
  Returns:
    List of all (direct and indirect) subtypes of given type.

### getDiagramElements

    public java.util.Collection<org.eclipse.emf.ecore.EObject> getDiagramElements(org.eclipse.gmf.runtime.notation.Diagram diagram)
                                                                           throws java.lang.Exception

  Parameters:
    `diagram` -
  Returns:
    Collection of diagram elements.
  Throws:
    `java.lang.Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD